# This script lists all clips present on the currently selected media in the Ki Pro unit.

# Arguments:  hostname or IP address of Ki Pro unit

import urllib, sys, string
import kipro

def extractClipNamesFromJSONObject(response):
    values = response.split(":")
    i = 0
    clips = []
    for word in values:
        i += 1
        if(word.find('clipname') > -1):
            clips.append(values[i].split(',')[0].translate(string.maketrans("",""), '[]{} \,\"\" '))
    return clips

address = sys.argv[1]
f = urllib.urlopen("http://"+address+"/clips")
response = f.read()

clips = extractClipNamesFromJSONObject(response)

print "Clips Found:"
for clip in clips:
    print "\t"+clip
