# This script cues the Ki Pro unit to the specified timecode within the currently selected clip.

# Arguments:  hostname or IP address of Ki Pro unit, timecode value, e.g. 00:00:10:05

import urllib, sys
import kipro

address = sys.argv[1]
timecode = sys.argv[2]

params = urllib.urlencode({'paramName':'eParamID_CueToTimecode','newValue' : timecode})
f = urllib.urlopen("http://"+address+"/config", params)
print f.read()

params = urllib.urlencode({'paramName':'eParamID_TransportCommand','newValue' : kipro.KiProAPI.eTCCue})
f = urllib.urlopen("http://"+address+"/config", params)
print f.read()
